{% extends 'core/base.html' %}
{% load static %}


{% block content %}
<script>
	function checkbox_click(url) {
		window.location=url;
	}
</script>
<div class="list">
	<!-- ADD NEW ITEM -->
	<form class="list-item-form" method="POST">
		{% csrf_token %}
		<input type="submit" value="+" {% if not items_editable %}disabled{% endif %} />
		<input type="text" name="newitem" value=""
			{% if not items_editable %}disabled{% endif %} autofocus />
	</form>
	<div class="list-spacer"></div>

	<!-- ITEM LIST -->
	{% for item in list_items %}
	{% if items_editable %}
	<a href="{% url 'lister:toggle-item' item.id %}">
	{% endif %}
		<div class="checkbox-box">
		<a href="{% url 'lister:toggle-item' item.id %}">
			<input class="no-pointer-events" type="checkbox" name="{{item.id}}" value="true"
				{% if item.checked %}checked{% endif %} {% if not items_editable %}disabled{% endif %} />
		</a>
		<label>{{ item.name }}</label>
	</div>
	{% if items_editable %}
	
	{% endif %}
	{% endfor %}

	<!-- BOTTOM MARGIN -->
	<!-- This is needed to malke sure the browser
		doesn't cover up the bottom of the page with controls. -->
	<div class="list-bottom-margin"></div>
</div>
{% endblock %}